#include <linux/usb/ch9.h>
#include <linux/usbdevice_fs.h>

extern int usb_getdesc(const char *devfile, struct usb_device_descriptor* desc);
extern int usb_open(const char *devfile);
extern int usb_isdevicefree(int fd, int interface);
extern int usb_setinterface(int fd, int interface, int altsetting);
extern int usb_claim(int fd, unsigned int interface);
extern int usb_release(int fd, unsigned int interface);
extern int usb_ctrl(int fd, struct usbdevfs_ctrltransfer *ctrl);
extern int usb_submiturb(int fd, struct usbdevfs_urb* urbp);
extern int usb_reapurb_ndelay(int fd, struct usbdevfs_urb** urbpp);
extern int usb_reapurb(int fd, struct usbdevfs_urb* urbpp);
extern int usb_discardurb(int fd, struct usbdevfs_urb* urbp);
extern const char * rad001_getdevname();

